#map { 
    height: 100vh;

    /* margin-top: -50px!important; */


}
#map2 { 
    height: 68vh!important;
    width: 100%;

    /* margin-top: -50px!important; */


}
#map3 { 
    height: 60vh!important;
    width: 100%;

    /* margin-top: -50px!important; */


}
.feature-label {
    background-color: rgba(255, 255, 255, 0.8);
    border: 1px solid #222;
    border-radius: 3px;
    color: #333;
}
body {
    margin: 0;
    height: calc(100% - 51px);
    font-family: Arial, sans-serif;
}
.bgnav{
    background: rgba(245, 245, 245, 0.796);
    /* box-shadow: 1px 1px 80px 1px rgb(25, 25, 25); */
    /* border-radius:50px 50px; */
  }

html {
height: 100%;
}

header.navbar {
margin-bottom: 0px;
}
#btn-spin {
    position: absolute;
    left: 200px;
    z-index: 10;
    font-size: 1.5em;
  }
.help {
    font-size: 1.5em;
    position: absolute;
    top:0;
    left: 0;
    right: 0;
    height: 30px;
    z-index: 10;
    background-color: rgba(0,0,0,0.5);
    color: white;
    padding: 10px;
    margin: 0px;
    text-align: center;
}
.help a.sources {
    float: left;
    margin-left: 50px;
    color: white;
}
.help a.logo {
    float: right;
}
.help a.logo img {
    height: 30px;
}
/* navigation */
nav {
    background-color: #333;
    color: #151515;
}
ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}
li {
    display: inline;
}
a {
    display: inline-block;
    padding: 10px;
    text-decoration: none;
    color: #0a0909;
}
a:hover {
    background-color: #555;
}
/* personal css */
.border-red{
    border: red 2px solid;
}
.floatright{
    float: right!important;
    text-align: right;
}
.navbar.transparent.navbar-inverse .navbar-inner {
    border-width: 0px;
    -webkit-box-shadow: 0px 0px;
    box-shadow: 0px 0px;
    background-color: rgba(0,0,0,0.0);
    background-image: -webkit-gradient(linear, 50.00% 0.00%, 50.00% 100.00%, color-stop( 0% , rgba(0,0,0,0.00)),color-stop( 100% , rgba(0,0,0,0.00)));
    background-image: -webkit-linear-gradient(270deg,rgba(0,0,0,0.00) 0%,rgba(0,0,0,0.00) 100%);
    background-image: linear-gradient(180deg,rgba(0,0,0,0.00) 0%,rgba(0,0,0,0.00) 100%);

}
/* .image_wrapper {
    border: red 2px solid;
    position: absolute; 
    left: 0;
    top: 0;
  } */
  
.overlay {
    position: absolute;
    top: 0px;
    right: 0px;
    left: 0px;
    text-align: center!important;
    z-index: 1000; /* Ensure the button is above the map */

}
@font-face {
    font-family: GidoleRegular;
    src: url(../assets/fonts/GidoleRegular/Gidole-Regular.otf);
 }
.text-navconf{
    font-family:  "Open Sans", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    margin-right: 20px!important;
    letter-spacing: 5px;
    cursor: pointer;
    font-size: 16px;
    padding: 5px 20px;
    border-radius: 30px!important;

    
   
}
.text-nav2{
    text-align: center!important;
}
.center {
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
  }
.active2nav{
    background-color: #007bff;
    border-radius: 30px;
    color: white!important;
    display: inline-block;
    width: 90px;
}
.leaflet-control-coord-projection {
    font-family: Arial, sans-serif;
    font-size: 14px;
    color: white; /* Text color */
    background-color:  rgba(0,0,0,0.5);/* Background color */
    padding: 5px; /* Padding around the text */
    border-radius: 3px; /* Rounded corners */
    /* Additional styles as needed */
}

/* zoomcontrol
 */
 /* Custom styling for the zoom control */
.leaflet-control-zoom {
    background-color: #3b3838!important; /* Background color */
    border-radius: 13px; /* Border radius */
    top: 230px!important;
    width: 40px!important;
    height: 40px!important;
    
}

/* Styling for the zoom buttons */
.leaflet-control-zoom-in, .leaflet-control-zoom-out {
    font-size: 18px!important; /* Font size */
    color: rgb(57, 53, 53)!important; /* Text color */
    background-color: white!important; /* Background color */
    border-radius: 13px!important; /* Border radius */
    width: 40px!important;
    height: 45px!important;
    /* box-shadow: 1px 1px 1px black!important; */
    margin-top: 1px!important;
}

/* loading/ */
#loadingIndicator {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(255, 255, 255, 0.8);
    padding: 20px;
    border-radius: 5px;
    display: none; /* Hide initially */
}
/* chart------------- */
.quiz-graph-container {
    padding: 0px; 
    height: 370px;
    width: 100%;
    object-fit: contain!important;
    overflow: hidden; /* Ensure SVG content doesn't overflow */
}

.quiz-graph {
    height: 100%; /* Fill the container height */
    width: 100%; /* Fill the container width */
    object-fit: contain!important;
}

/* Your other CSS styles */
.quiz-chartTip {
    padding: 5px 10px;
    border: 1px solid rgba(0,0,0,.1);
    border-radius: 4px;
    background-color: rgba(255,255,255,.9);
    box-shadow: 3px 3px 10px rgba(0,0,0,.1);
    position: absolute;
    z-index: 50;
    max-width: 100%;
    border: red 2px solid;
    object-fit: contain!important;
}

.quiz-graph .x-labels {
    text-anchor: middle;
}

.quiz-graph .y-labels {
    text-anchor: end;
}

.quiz-graph .quiz-graph-grid {
    stroke: #ccc;
    stroke-dasharray: 0;
    stroke-width: 1;
}

.label-title {
    text-anchor: middle;
    text-transform: uppercase;
    font-size: 12px;
    fill: gray;
}

.quiz-graph-dot, .quiz-graph-start-dot{
    fill: rgba(0,112,210,1);
    stroke-width: 2;
    stroke: white;   
}
/* chart-------------end */


#baseLayersDropdown {
    margin-top: 140px; /* Adjust margin-top as needed */
    padding: 5px;
    border: 1px solid rgb(255, 255, 255);
    border-radius: 4px;
    position: absolute;
    right: 10px; /* Position to the right */
    z-index: 1000; /* Ensure dropdown appears above the map */
    width: 210px; /* Adjust width as needed */
    height: 30px; /* Adjust height as needed */
    font-size: 14px; /* Adjust font size as needed */
  }
/* controllersensor */
 /* Custom styling for layer control */
 .leaflet-control-layers-tree .leaflet-control-layers-selector {
    background-color: white!important;
    border: 1px solid #ccc;
    border-radius: 4px;
    padding: 10px;
  }
  .leaflet-control-layers-tree .leaflet-control-layers-group {
    margin-bottom: 10px;
  }



  